## tde-style-domino-trinity 14.1.0

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 3.1 )


#### general package setup

project( tde-style-domino )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### set version number ########################

tde_set_project_version( )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings 

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( client )
add_subdirectory( domino )
add_subdirectory( dominoConfig )


##### other data ################################

tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## tde-style-domino-trinity 14.0.10

=== debian/changelog ===
tde-style-domino-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

tde-style-domino-trinity (0.4-1debian7.0.0+0) wheezy; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 05 Apr 2016 03:10:20 +0200

kde-style-domino (0.4-1) unstable; urgency=low

  * Initial release (Closes: #463443).
  * Added 01_emptyfixif.diff - removed an unwanted ";" to stop an empty if
    statement.
  * LGPL licence confirmed with author, he sent me a new tar with COPYING.LIBS
    file included.

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Wed, 30 Jan 2008 15:12:00 +0100

=== debian/control ===
Source: tde-style-domino-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
X-Original-Maintainer: Jonathan Patrick Davies <jpatrick@kubuntu.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdebase-trinity-dev
Standards-Version: 3.7.3
Homepage: http://kde-look.org/content/show.php?content=42804

Package: tde-style-domino-trinity
Architecture: any
Depends: ${shlibs:Depends}
Description: Domino widget style and twin decoration for TDE
 Domino is a style with a soft look. It allows to fine adjust the shininess
 of the widgets by customizable color gradients.

## tde-style-domino-trinity 14.0.11

=== debian/changelog ===
tde-style-domino-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tde-style-domino

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 21 Oct 2021 15:14:50 +0200

## tde-style-domino-trinity 14.0.13

=== debian/changelog ===
tde-style-domino-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tde-style-domino

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 26 Jun 2022 08:17:00 +0200

## tde-style-domino-trinity 14.1.0

=== debian/changelog ===
tde-style-domino-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tde-style-domino

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## tde-style-domino-trinity 14.1.1

=== debian/changelog ===
tde-style-domino-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tde-style-domino

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 12 Sep 2023 15:28:28 +0200

## tde-style-domino-trinity 14.1.2

=== debian/changelog ===
tde-style-domino-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tde-style-domino

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:51 +0200

## tde-style-domino-trinity 14.1.3

=== debian/changelog ===
tde-style-domino-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tde-style-domino

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:47:00 +0200

## tde-style-domino-trinity 14.1.4

=== debian/changelog ===
tde-style-domino-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tde-style-domino

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## tde-style-domino-trinity 14.1.5~pre0

=== debian/changelog ===
tde-style-domino-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 6161ba3a08e4b534fc6086213de12d75859b5e48
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tde-style-domino

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tde-style-domino-trinity 14.1.5

=== domino/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
  ${XFT_INCLUDE_DIRS}
  ${XEXT_INCLUDE_DIRS}
  ${FREETYPE_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
  ${X11_LIBRARY_DIRS}
  ${XFT_LIBRARY_DIRS}
  ${XEXT_LIBRARY_DIRS}
  ${FREETYPE_LIBRARY_DIRS}
)


#####  domino_style (STATIC)

tde_add_library( domino_style STATIC_PIC AUTOMOC

  SOURCES
        domino.cpp misc.cpp
  LINK
     tdecore-shared tdeui-shared tdeutils-shared
     ${X11_LIBRARIES} ${XFT_LIBRARIES}
     ${X11_Xrender_LIB} ${FREETYPE_LIBRARIES}
)


#####  domino (kpart)

configure_file( ${TDE_CMAKE_TEMPLATES}/tde_dummy_cpp.cmake dummy.cpp COPYONLY )

tde_add_kpart( domino AUTOMOC

  SOURCES
        dummy.cpp
  EMBED
     domino_style-static

  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/styles
)


##### other data

tde_create_translated_desktop(
    SOURCE domino.themerc
    DESTINATION ${DATA_INSTALL_DIR}/tdestyle/themes
)

tde_create_translated_desktop(
    SOURCE Domino.kcsrc
    DESTINATION ${DATA_INSTALL_DIR}/tdedisplay/color-schemes
)

=== debian/changelog ===
tde-style-domino-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tde-style-domino

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 X-Original-Maintainer: Jonathan Patrick Davies <jpatrick@kubuntu.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdebase-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdebase-trinity-dev
 Standards-Version: 3.7.3
 Homepage: http://kde-look.org/content/show.php?content=42804

## tde-style-domino-trinity 14.1.6~pre0

=== debian/changelog ===
tde-style-domino-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 6161ba3a08e4b534fc6086213de12d75859b5e48
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-style-domino

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tde-style-domino-trinity 14.1.6~pre1

=== debian/changelog ===
tde-style-domino-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 4d60bcfe5f1dd674d5476a457efb05c31eb14d93
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-style-domino

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:15:23 +0100

## tde-style-domino-trinity 14.2.0~pre39

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,11 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 3.1 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
@@ -29,11 +33,6 @@
 #### include our cmake modules
 
 include( TDEMacros )
-
-
-##### set version number ########################
-
-tde_set_project_version( )
 
 
 ##### setup install paths

=== client/CMakeLists.txt ===
tde_import( twin )

add_subdirectory( config )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${XEXT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
  ${XEXT_LIBRARY_DIRS}
)


##### twin_domino (kpart)

tde_add_kpart( twin_domino AUTOMOC

  SOURCES
        dominoclient.cpp
  LINK
     tdecore-shared
     tdecorations-shared
     ${X11_LIBRARIES}
     ${XEXT_LIBRARIES}

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE domino.desktop
    DESTINATION ${DATA_INSTALL_DIR}/twin
)

=== debian/changelog ===
tde-style-domino-trinity (4:14.2.0~pre39-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for bd37f63c7f0a184b19785b309e06cb5f5c382562
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-style-domino

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## tde-style-domino-trinity 14.2.0~pre40

=== debian/changelog ===
tde-style-domino-trinity (4:14.2.0~pre40-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 0931ee4b7e58e37a16d5eeae2653b41e9de13557
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-style-domino

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:11:28 +0100
